EndpointsUsers

Set or change password

Sets a password for the authenticated user, or changes it if one already exists. HIBP/length validation always applies. Changing an existing password requires the current password. Adding a password to a Google-only account does not require email verification (OAuth already proved email control).

POST
/users/me/password

Authorization

JWT-auth
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
currentPassword?string

Required if changing an existing password.

newPassword*string
Length12 <= length <= 128

Response Body

response?unknownapplication/json
curl -X POST 'https://api.routess.com/users/me/password' \  -H 'Content-Type: application/json' \  -d '{  "newPassword": "new correct horse battery staple"}'
{  "success": true}